<nav class="navbar navbar-dark bg-dark">
  <a class="navbar-brand">Midis</a>
  <ul class="nav justify-content-end">
    <li class="nav-item">
      <a class="nav-link" href="/customer">Customer</a>
    </li>
    <li class="nav-item">
      <a class="nav-link" href="/student">Student</a>
    </li>
  </ul>
  <button
    class="btn btn-outline-light btn-lg"
    type="button"
    (click)="onLogout()"
  >
    LogOut
  </button>
</nav>

<div>
  <kendo-grid [data]="studentItems">
    <ng-container *ngFor="let column of gridTableSettings">
      <kendo-grid-column
        *ngIf="column.type === 'string'"
        [field]="column.field"
        [title]="column.title"
      >
      </kendo-grid-column>
      
      <kendo-grid-checkbox-column
        *ngIf="column.type === 'boolean'"
        [title]="column.title"
      >
      </kendo-grid-checkbox-column>
    </ng-container>
  </kendo-grid>
</div>
